Colaboración : Cisco Unified Contact Center Express

Advertencias de seguridad de las Javas del Troubleshooting CAD

23 Octubre 2015 - Traducción Automática
Otras Versiones: PDFpdf | Inglés (22 Agosto 2015) | Comentarios

Introducción

Este documento describe cómo resolver problemas las advertencias de seguridad de las Javas en el correo electrónico del agente del Cisco Agent Desktop del Cisco Unified Contact Center Express (UCCX) (CAD), así como en la edición del navegador del Cisco Agent Desktop (CAD-BE).

Contribuido por Ryan LaFountain, ingeniero de Cisco TAC.

Antecedentes

El correo electrónico del agente UCCX CAD y los CAD-BE confían en las Javas (y las Javas Applet) para funcionar.

Los cambios en las reglas y arquitectura de Seguridad de las Javas en las versiones de Java que son soportadas por algunas del correo electrónico del agente UCCX CAD y de las versiones CAD-BE producen las advertencias de seguridad usuario-visibles o hacen las características funcionar incorrectamente o en absoluto.

Problema

Cuando usted ejecuta el correo electrónico del agente o CAD-BE en un navegador, usted recibe una nueva advertencia de seguridad que aparezca similar a esto:

 

Cuando usted hace clic el más link de la información…, este mensaje aparece:

Si usted elige la opción del bloque, la aplicación no se ejecuta correctamente (o un error completo de la aplicación ocurre), y el navegador entero pudo bloquear para arriba. Incluso si usted elige no bloquea y ningunas opciones, las Javas todavía restringen las operaciones y pudieron causar los problemas del tiempo de ejecución.

Condiciones

Las últimas versiones de las Javas tratan la comunicación del Javascript-a-applet como código sin signo. Esto hace el CAD tener una Java Applet firmada/sin signo mezclado, que crea una advertencia de seguridad donde le requieren elegir el bloque o desbloquear la opción. Esto afecta cualquier Java Applet firmada donde hay comunicación del Javascript-a-applet.

Estas versiones de las Javas tienen el cambio ya mencionado:

  • Las Javas liberan 1.7.0, las actualizaciones 21 y posterior
  • Las Javas liberan 1.6.0, las actualizaciones 45 y posterior

Nota: El CAD utiliza un Entorno de tiempo de ejecución Java (JRE) para el correo electrónico del agente, el (CSD) del Supervisor de escritorio de Cisco, y CAD-BE.

Solución

Esta sección describe las soluciones alternativas posibles para el problema que se describe en la sección anterior.

Advertencias de seguridad

Esta sección describe cómo resolver problemas las advertencias móviles de la Seguridad para cada versión UCCX.

Versiones UCCX antes de la versión 9.0(2)SU1

Las versiones UCCX antes de la versión 9.0(2)SU1 soportan solamente las versiones de Java hasta la versión 1.6.0, la actualización 31, tan las instalaciones que funcionan con actualmente las versiones de Java afectadas utilizan una versión no soportada de las Javas.

Para workaround este problema, usted puede desinstalar las Javas de la máquina totalmente. Cuando usted registra en el CAD, el CSD, o el CAD-BE, la versión de Java correcta entonces será instalada. Después de que la versión de Java soportada esté instalada, las advertencias móviles de la Seguridad no deben aparecer.

Nota: Si una máquina se pone al día directamente a las últimas versiones de Java (sin una desinstalación de las Javas), los problemas móviles pudieron todavía ocurrir, y el email del agente no pudo funcionar según lo previsto.

Versión 9.0(2)SU1 UCCX

La versión 9.0(2)SU1 UCCX soporta la versión de Java 1.6.0, la actualización 45 y contiene el arreglo para el Id. de bug Cisco CSCug80029.

Ningunas advertencias móviles de la Seguridad deben aparecer, con tal que el PC funcione con la versión de Java 1.6.0, la actualización 45, y correo electrónico funciona del agente normalmente.

Versión 10.0(1) UCCX

La versión 10.0(1) UCCX soporta la versión de Java 1.7.0, la actualización 45. Recientemente, la versión de Java 1.7.0, la actualización 51 fue liberada. En aquel momento, el Oracle aumentó la línea de fondo de la Seguridad para poner al día 51, que dejaron la actualización 45 categorizada como inseguros. Si usted se ejecuta la versión 10.0(1) y la versión de Java 1.7.0 UCCX, la actualización 45, una advertencia móvil de la Seguridad aparece cuando usted registra en el correo electrónico del agente.

Para solución alternativa este problema, usted debe bajar el resbalador de la Seguridad al media dentro del navegador y el tecleo no bloquea cada vez que usted recibe el mensaje de modo que el correo electrónico del agente trabaje correctamente. Usted puede también actualizar a la versión de Java 1.7.0, la actualización 51 para resolver este problema. El arreglo que se describe en el ID de bug JDK-8027405 del Oracle, que se incluye en la actualización 51, debe prevenir los eventos futuros de este problema.

Consejo: Refiera al Id. de bug Cisco CSCum69044 para la información adicional.

Registro del correo electrónico del agente

Después de la versión de Java 1.7.0, la actualización 45 era integrada en el CAD para la versión 10.0 UCCX, el problema descrito en el Id. de bug Cisco CSCum00334 fue encontrada debido a los cambios en el JRE del Oracle. Esto creó un problema donde el registro del client cara del correo electrónico del agente (EEMUi*.log) se inhabilita por abandono.

Aquí está un resumen del problema:

  • En la versión 7u21, el JRE requirió el uso de un atributo evidente de la De confianza-biblioteca para prevenir el acontecimiento de las advertencias móviles de la Seguridad. El desarrollo interno CAD utilizó con éxito este atributo para atenuar el problema.

  • En la versión 7u45, el JRE también requirió el uso de un Llamador-permisible-Codebase manifiesta el atributo para prevenir el acontecimiento de una advertencia móvil de la nueva Seguridad.

  • Los bug del Oracle JDK describen un problema donde la versión 7u45 JRE no permite la De confianza-biblioteca y Llamador-permisible-Codebase manifieste los atributos para coexistir. Si hacen, se ignora el último atributo.

  • La solución alternativa del Oracle era utilizar solamente el Llamador-permisible-Codebase manifiesta el atributo, que debe haber prevenido el acontecimiento de ambas advertencias móviles de la Seguridad. Sin embargo, cuando se implementa este workaround, la advertencia móvil de la primera Seguridad se acciona para EemUi cuando usted intenta acceder los archivos evidentes del .jar, que se requieren para inicializar el subsistema de registración.

Consejo: Refiera al grupo de la plataforma de las Javas, blog de la gestión de productos para una más descripción detallada de este problema.

El Oracle ha seguido este problema en el ID de bug JDK-8026347 con los planes para resolverlo.

Nota: Este bug es un duplicado para el ID de bug JDK-8026228; sin embargo, este bug no es público viewable sin el registro apropiado.

Cuando se repara el ID de bug JDK-8026228, debe permitir que el CAD utilice la De confianza-biblioteca y Llamador-permisible-Codebase manifieste los atributos simultáneamente, que deben prevenir la advertencia móvil de la primera Seguridad cuando se utiliza el subsistema del registro (puesto que esta advertencia móvil de la Seguridad fue atenuada con éxito con la adición del atributo evidente de la De confianza-biblioteca para la versión JRE 7u21).

Consejo: Si la versión 10.0 UCCX se utiliza con el correo electrónico del agente CAD y debugging se requiere del client cara, refiera al Id. de bug Cisco CSCum00334.


Discusiones relacionadas de la comunidad de soporte de Cisco

La Comunidad de Soporte de Cisco es un foro donde usted puede preguntar y responder, ofrecer sugerencias y colaborar con colegas.


Document ID: 118922